> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch SMS configuration

> Returns the SMS settings for the business associated with the provided business id. Currently this setting is an `enabled` flag. Note that SMS must be enabled on both a platform level (see /v1/configure/sms) and an individual business level in order to receive SMS messages.



## OpenAPI

````yaml get /v1/businesses/{businessId}/sms
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/sms:
    get:
      tags: []
      summary: Fetch SMS configuration
      description: >-
        Returns the SMS settings for the business associated with the provided
        business id. Currently this setting is an `enabled` flag. Note that SMS
        must be enabled on both a platform level (see /v1/configure/sms) and an
        individual business level in order to receive SMS messages.
      operationId: business.sms.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch the SMS settings for.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSmsConfiguration'
      deprecated: false
components:
  schemas:
    BusinessSmsConfiguration:
      type: object
      properties:
        sms_enabled:
          type: boolean
          description: Whether SMS is enabled for this business.
        sms_stopped:
          type: boolean
          description: Whether this business has responded to Layer's SMS with "STOP".
      description: The SMS configuration status for a business.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````